#ifndef BEZIER_H
#define BEZIER_H

#include <GL/glew.h>

#include "program.h"

class Bezier{
 public:
    void Initialize();
    void Draw(const Program & program, const Program & bezier_program);
    ~Bezier();
    Bezier(void);
    bool AddPoint(float x_coord, float y_coord);
 private:
    GLuint vao_;
    GLuint vertex_buffer_;

    unsigned int max_points_;
    unsigned num_points_;

};

#endif // BEZIER_H
